ENT.Base = "sent_sakarias_scar_base"
ENT.Type = "anim"

ENT.PrintName = "1969 Dodge Charger R/T"
ENT.Author = "TiggoRech"
ENT.Category = "TiggoRech's Cars"
ENT.Information = ""
ENT.AdminOnly = false
ENT.Spawnable = false
ENT.AdminSpawnable = false

ENT.AddSpawnHeight = 5
ENT.ViewDist = 200
ENT.ViewDistUp = 10

ENT.NrOfSeats = 2
ENT.NrOfWheels = 4
ENT.NrOfExhausts = 2
ENT.NrOfFrontLights = 4
ENT.NrOfRearLights = 6

ENT.SeatPos = {}
ENT.WheelInfo = {}
ENT.ExhaustPos = {}
ENT.FrontLightsPos = {}
ENT.RearLightsPos = {}

ENT.effectPos = NULL

ENT.DefaultSoftnesFront =15
ENT.DefaultSoftnesRear =15

ENT.CarMass =600
ENT.StabiliserOffset = NULL
ENT.StabilisationMultiplier = 70

ENT.DefaultSound = "SCarEngineSounds/11.wav"
ENT.EngineEffectName = "Default"
ENT.HornSound = "SCarHorns/horn 4.wav"

ENT.CarModel = "models/tiggomods/vehicles/dodgecharger1969.mdl"
ENT.TireModel = "models/tiggomods/vehicles/dodgecharger1969w.mdl"
ENT.AnimType = 1

ENT.FrontLightColor = "255 255 255"
------------------------------------VARIABLES END

for i = 1, ENT.NrOfWheels do
	ENT.WheelInfo[i] = {}
end

local xPos = 0
local yPos = 0
local zPos = 0

//SEAT POSITIONS
--Seat Position 1
xPos = 4
yPos = -16.39999961853
zPos = 7
ENT.SeatPos[1] = Vector(xPos, yPos, zPos)

--Seat Position 2
xPos = 4
yPos = 16.39999961853
zPos = 7
ENT.SeatPos[2] = Vector(xPos, yPos, zPos)

//WHEEL POSITIONS
--Wheel Position 1
xPos = 78.900001525879
yPos = 40.099998474121
zPos = -1.5
ENT.WheelInfo[1].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[1].Side = true
ENT.WheelInfo[1].Torq = false
ENT.WheelInfo[1].Steer = 1

--Wheel Position 2
xPos = 78.900001525879
yPos = -40.099998474121
zPos = -1.5
ENT.WheelInfo[2].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[2].Side = false
ENT.WheelInfo[2].Torq = false
ENT.WheelInfo[2].Steer = 1

--Wheel Position 3
xPos = -60.799999237061
yPos = -40.099998474121
zPos = -1.5
ENT.WheelInfo[3].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[3].Side = false
ENT.WheelInfo[3].Torq = true
ENT.WheelInfo[3].Steer = 0

--Wheel Position 4
xPos = -60.799999237061
yPos = 40.099998474121
zPos = -1.5
ENT.WheelInfo[4].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[4].Side = true
ENT.WheelInfo[4].Torq = true
ENT.WheelInfo[4].Steer = 0

//FRONT LIGHT POSITIONS
--Front light 1
xPos = 113.59999847412
yPos = 34.599998474121
zPos = 19.89999961853
ENT.FrontLightsPos[1] = Vector(xPos, yPos, zPos)

--Front light 2
xPos = 114
yPos = 26.299999237061
zPos = 19.89999961853
ENT.FrontLightsPos[2] = Vector(xPos, yPos, zPos)

--Front light 3
xPos = 114
yPos = -26.299999237061
zPos = 19.89999961853
ENT.FrontLightsPos[3] = Vector(xPos, yPos, zPos)

--Front light 4
xPos = 113.59999847412
yPos = -34.599998474121
zPos = 19.89999961853
ENT.FrontLightsPos[4] = Vector(xPos, yPos, zPos)

//REAR LIGHT POSITIONS
--Rear light 1
xPos = -116.19999694824
yPos = 34.5
zPos = 24.10000038147
ENT.RearLightsPos[1] = Vector(xPos, yPos, zPos)

--Rear light 2
xPos = -116.19999694824
yPos = -34.5
zPos = 24.10000038147
ENT.RearLightsPos[2] = Vector(xPos, yPos, zPos)

--Rear light 3
xPos = -116.19999694824
yPos = -23.299999237061
zPos = 24.10000038147
ENT.RearLightsPos[3] = Vector(xPos, yPos, zPos)

--Rear light 4
xPos = -116.19999694824
yPos = 23.299999237061
zPos = 24.10000038147
ENT.RearLightsPos[4] = Vector(xPos, yPos, zPos)

--Rear light 5
xPos = -116.19999694824
yPos = 12.60000038147
zPos = 24.10000038147
ENT.RearLightsPos[5] = Vector(xPos, yPos, zPos)

--Rear light 6
xPos = -116.19999694824
yPos = -12.60000038147
zPos = 24.10000038147
ENT.RearLightsPos[6] = Vector(xPos, yPos, zPos)

//EXHAUST POSITIONS
--Exhaust 1
xPos = -120
yPos = 18.799999237061
zPos = 6.8000001907349
ENT.ExhaustPos[1] = Vector(xPos, yPos, zPos)

--Exhaust 2
xPos = -120
yPos = -18.799999237061
zPos = 6.8000001907349
ENT.ExhaustPos[2] = Vector(xPos, yPos, zPos)

//EFFECT POSITION
xPos = 76.699996948242
yPos = -0
zPos = 26.5
ENT.effectPos = Vector(xPos, yPos, zPos)

//CAR CHARACTERISTICS
ENT.DefaultAcceleration = 3000
ENT.DefaultMaxSpeed = 1500
ENT.DefaultTurboEffect = 2
ENT.DefaultTurboDuration = 4
ENT.DefaultTurboDelay = 10
ENT.DefaultReverseForce = 1000
ENT.DefaultReverseMaxSpeed = 200
ENT.DefaultBreakForce = 4049.3999023438
ENT.DefaultSteerForce = 5
ENT.DefautlSteerResponse = 0.30000001192093
ENT.DefaultStabilisation = 2000
ENT.DefaultNrOfGears = 5
ENT.DefaultAntiSlide = 100
ENT.DefaultAutoStraighten = 15
ENT.DeafultSuspensionAddHeight = 10
ENT.DefaultHydraulicActive = 0

SCarRegister:AddCar( ENT )

function ENT:Initialize()
		
	self:Setup()

	if (SERVER) then
		--Setting up the car characteristics
		self:SetAcceleration( self.DefaultAcceleration )
		self:SetMaxSpeed( self.DefaultMaxSpeed )
		
		self:SetTurboEffect( self.DefaultTurboEffect )
		self:SetTurboDuration( self.DefaultTurboDuration )
		self:SetTurboDelay( self.DefaultTurboDelay )
		
		self:SetReverseForce( self.DefaultReverseForce )
		self:SetReverseMaxSpeed( self.DefaultReverseMaxSpeed )
		self:SetBreakForce( self.DefaultBreakForce )
		
		self:SetSteerForce( self.DefaultSteerForce )
		self:SetSteerResponse( self.DefautlSteerResponse )
		
		self:SetStabilisation( self.DefaultStabilisation )
		self:SetNrOfGears( self.DefaultNrOfGears )
		self:SetAntiSlide( self.DefaultAntiSlide )
		self:SetAutoStraighten( self.DefaultAutoStraighten )	
		
		self:SetSuspensionAddHeight( self.DeafultSuspensionAddHeight )
		self:SetHydraulicActive( self.DefaultHydraulicActive )
	end
end

function ENT:SpecialThink()
end

function ENT:SpecialRemove()	
end

function ENT:SpecialReposition()
end